v8.0
get
/ec-designer-ors-svc/rest/v8.0/studies/{studyId}/kits
Returns all non-draft kit descriptions for the requested study mode, including Combination Kit Dosing metadata.
Request
Path Parameters
-
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
Query Parameters
-
excludeKitType: boolean
Default Value:
falseAllowed Values:[ true, false ] -
kitType: string
Default Value:
allAllowed Values:[ "standard", "device", "titration", "advancedDispensation", "all" ] -
mode(required): string
Allowed Values:
[ "test", "training", "active" ] -
unblinded: boolean
Default Value:
false
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Nested Schema : RespKitDescDto
Type:
Show Source
object-
advancedDispensation: boolean
Is kit with advanced dispensation?Example:
true -
combinationDosing: boolean
Is kit with combination dosing?Example:
true -
deviceConn: string
Device ConnectionExample:
D2C -
deviceType: string
Device TypeExample:
SCALE -
distributionSetting: string
(string)
Distribution SettingExample:
UNBLINDED -
kitDescription: string
(string)
Kit descriptionExample:
Kit_1003_1 -
kitId: string
(uuid)
Kit Unique GUID
-
kitType: string
(string)
Kit Type IDExample:
Kit_1003_1 -
libraryKitId: string
(uuid)
Library Kit GUID
-
memberKitTypes: array
memberKitTypes
Member kit types for a combination kit.
-
poolingId: string
Pooling Kit IDExample:
POL12 -
serialized: boolean
Is kit serialized?Example:
true -
titrationKit: string
Indicates if this is a titration
-
trialSupplyType: string
Trial Supply TypeExample:
BOTTLE
Nested Schema : memberKitTypes
Type:
arrayMember kit types for a combination kit.
Show Source
-
Array of:
object KitDescMemberDto V8.0
Title:
KitDescMemberDto V8.0Member kit type for a combination kit.
Nested Schema : KitDescMemberDto V8.0
Type:
objectTitle:
KitDescMemberDto V8.0Member kit type for a combination kit.
Show Source
-
kitId: string
(uuid)
Member Kit Unique GUID
-
kitTypeId: string
(uuid)
Member Kit Type Unique GUID
-
kitTypeName: string
Member Kit Type NameExample:
Sample Kit -
seq: integer
(int32)
Member kit sequenceExample:
1
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}